services:
  frontend:
    image: cofee-frontend:dev
    container_name: cofee_frontend
    build:
      context: .
      dockerfile: Dockerfile
    env_file:
      - .env.production
    restart: unless-stopped
    environment:
      NODE_ENV: production
      NEXT_TELEMETRY_DISABLED: "1"
      PORT: 3000
      HOSTNAME: 0.0.0.0
    networks:
      - proxy
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=proxy"
      - "traefik.http.routers.cofee_frontend.rule=Host(`app.trimgu.ru`)"
      - "traefik.http.routers.cofee_frontend.entrypoints=websecure"
      - "traefik.http.routers.cofee_frontend.service=cofee_frontend"
      - "traefik.http.services.cofee_frontend.loadbalancer.server.port=3000"

networks:
  proxy:
    external: true
